package com.ruoyi.generator.mapper.front;

import java.util.List;
import com.ruoyi.generator.domain.front.FrontProjectColumn;

public interface FrontProjectColumnMapper
{
    public FrontProjectColumn selectFrontProjectColumnById(Long columnId);
    public List<FrontProjectColumn> selectFrontProjectColumnList(FrontProjectColumn frontProjectColumn);
    public List<FrontProjectColumn> selectColumnsByTableId(Long tableId);
    public int insertFrontProjectColumn(FrontProjectColumn frontProjectColumn);
    public int updateFrontProjectColumn(FrontProjectColumn frontProjectColumn);
    public int deleteFrontProjectColumnById(Long columnId);
    public int deleteColumnsByProjectId(Long projectId);
}
